LogASTTransformation.LoggingStrategyV2 (Groovy 5.0.8)
Description: declaration: package: org.codehaus.groovy.transform, class: LogASTTransformation, interface: LoggingStrategyV2

Package org.codehaus.groovy.transform

# Interface LogASTTransformation.LoggingStrategyV2

All Superinterfaces:
  `LogASTTransformation.LoggingStrategy`

All Known Implementing Classes:
  `Commons.CommonsLoggingStrategy`, `Log.JavaUtilLoggingStrategy`, `Log4j.Log4jLoggingStrategy`, `Log4j2.Log4j2LoggingStrategy`, `LogASTTransformation.AbstractLoggingStrategyV2`, `PlatformLog.JavaUtilLoggingStrategy`, `Slf4j.Slf4jLoggingStrategy`

Enclosing class:
  LogASTTransformation

public static interface LogASTTransformation.LoggingStrategyV2 extends LogASTTransformation.LoggingStrategy
A LoggingStrategy defines how to wire a new logger instance into an existing class. It is meant to be used with the @Log family of annotations to allow you to write your own Log annotation provider.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FieldNode`
  `addLoggerFieldToClass(ClassNode classNode, String fieldName, String categoryName, int fieldModifiers)`
  In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class.

  ### Methods inherited from interface org.codehaus.groovy.transform.LogASTTransformation.LoggingStrategy

  `addLoggerFieldToClass, getCategoryName, isLoggingMethod, wrapLoggingMethodCall`

- ## Method Details

  - ### addLoggerFieldToClass

    FieldNode addLoggerFieldToClass(ClassNode classNode, String fieldName, String categoryName, int fieldModifiers)
    In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class. Return the result of the ClassNode.addField operations.
    Parameters:
      `classNode` - the class that was originally annotated with the Log transformation.
      `fieldName` - the name of the logger field
      `categoryName` - the name of the logging category
      `fieldModifiers` - the modifiers (private, final, et. al.) of the logger field
    Returns:
      the FieldNode instance that was created and added to the class